BasePluginExtension (Gradle API 8.14)
Description: declaration: package: org.gradle.api.plugins, interface: BasePluginExtension

Package org.gradle.api.plugins

# Interface BasePluginExtension

public interface BasePluginExtension
An extension used for `BasePlugin`.

Replaces `BasePluginConvention`.

Since:
  7.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getArchivesBaseName()`
  Deprecated.
  Use `getArchivesName()`.
  `Property<String>`
  `getArchivesName()`
  The base name to use for archive files.
  `DirectoryProperty`
  `getDistsDirectory()`
  Returns the directory to generate TAR and ZIP archives into.
  `String`
  `getDistsDirName()`
  Deprecated.
  Use `getDistsDirectory()`.
  `DirectoryProperty`
  `getLibsDirectory()`
  Returns the directory to generate JAR and WAR archives into.
  `String`
  `getLibsDirName()`
  Deprecated.
  Use `getLibsDirectory()`.
  `void`
  `setArchivesBaseName(String archivesBaseName)`
  Deprecated.
  Use `getArchivesName()`.
  `void`
  `setDistsDirName(String distsDirName)`
  Deprecated.
  Use `getDistsDirectory()`.
  `void`
  `setLibsDirName(String libsDirName)`
  Deprecated.
  Use `getLibsDirectory()`.

- ## Method Details

  - ### getDistsDirectory

    DirectoryProperty getDistsDirectory()
    Returns the directory to generate TAR and ZIP archives into.
    Returns:
      The directory. Never returns null.

  - ### getLibsDirectory

    DirectoryProperty getLibsDirectory()
    Returns the directory to generate JAR and WAR archives into.
    Returns:
      The directory. Never returns null.

  - ### getArchivesName

    Property<String> getArchivesName()
    The base name to use for archive files.

  - ### getDistsDirName

    @Deprecated String getDistsDirName()
    Deprecated.
    Use `getDistsDirectory()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.

  - ### setDistsDirName

    @Deprecated void setDistsDirName(String distsDirName)
    Deprecated.
    Use `getDistsDirectory()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.

  - ### getLibsDirName

    @Deprecated String getLibsDirName()
    Deprecated.
    Use `getLibsDirectory()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.

  - ### setLibsDirName

    @Deprecated void setLibsDirName(String libsDirName)
    Deprecated.
    Use `getLibsDirectory()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.

  - ### getArchivesBaseName

    @Deprecated String getArchivesBaseName()
    Deprecated.
    Use `getArchivesName()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.

  - ### setArchivesBaseName

    @Deprecated void setArchivesBaseName(String archivesBaseName)
    Deprecated.
    Use `getArchivesName()`. This method is scheduled for removal in Gradle 9.0.
    This method is only here to maintain compatibility with existing builds.